import { select } from 'd3';

const svg = select('svg')
  .style('background-color', 'lightgreen');

const width  = +svg.attr('width');
const height = +svg.attr('height');
const n = 30;

const render = values => {
  const lines = svg.selectAll('line').data(values);
  lines
    .enter(values)
      .append('line')
    .merge(lines)
      .attr('x1', (d, i) => i * 20 + 30)
      .attr('y1', height)
      .attr('x2', (d, i) => i * 20 + 30)
      .attr('y2', d => d);
  lines.exit().remove();
}

const values = d3.range(n).map(d => Math.random() * height);
render(values);

setTimeout(() => {
  values.sort((a,b) => b - a);
  render(values);
}, 1000);

